Bug 553878 - [abrt] crash in setroubleshoot-server-2.2.52-1.fc12
[abrt] crash in setroubleshoot-server-2.2.52-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:55d49946
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-09 03:51 EST by sstdesigner
Modified: 2010-12-03 19:40 EST (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:40:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (377.56 KB, text/plain)
2010-01-09 03:51 EST, sstdesigner
no flags Details

  None (edit)
Description sstdesigner 2010-01-09 03:51:35 EST
abrt 1.0.3 detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python -E /usr/bin/sealert -s
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.31.9-174.fc12.x86_64
package: setroubleshoot-server-2.2.52-1.fc12
uuid: 55d49946
Comment 1 sstdesigner 2010-01-09 03:51:54 EST
Created attachment 382617 [details]
File: backtrace
Comment 2 Gavin Romig-Koch 2010-01-15 10:41:32 EST
I suspect that this is the same as https://bugzilla.redhat.com/show_bug.cgi?id=555178
Comment 3 Daniel Walsh 2010-01-15 10:52:36 EST
sstdesigner

Are you seeing this on F12 or F13?
Comment 4 Gavin Romig-Koch 2010-01-15 10:58:55 EST
Dan,
I'm seeing this on both an up2date F12 and rawhide.

                           -gavin...
Comment 5 Don Vogt 2010-01-15 16:17:26 EST
Dan,
 I am using f12.
               Don vogt
Comment 6 Daniel Walsh 2010-01-15 17:10:34 EST
Looks like a buggy python-bugzilla got released to the wild.
Comment 7 Walter 2010-10-05 17:37:09 EDT
Is there something we can do to correct this?
Comment 8 Will Woods 2010-10-05 18:01:39 EDT
No, this isn't because of a buggy python-bugzilla update - python-bugzilla has never been updated in F12, in fact.

Here's the problem: Red Hat's bugzilla upgrade changed some (experimental/non-standard) API calls, so now anything that uses (for example) getproducts() is broken.

If the new bugzilla release provides the data we expect somewhere else, we can maybe fix getproducts() in python-bugzilla. Otherwise python-bugzilla will provide a new call which uses the new upstream APIs in Bugzilla 3.6, and setroubleshoot will be adapted to that.

(Let this be a lesson, kids: never expose experimental APIs without clearly marking them as such, and never use them if you don't want your apps to break randomly.)
Comment 9 Bug Zapper 2010-11-03 21:28:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-03 19:40:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.